<CsoundSynthesizer>
<CsOptions>
  csound -o dac -p -m0 -d -A -MIDI -s -b256 -B256 -V50 -E32
</CsOptions>
<CsInstruments>
  sr	= 		22050
  kr	= 		441
  ksmps	= 		50

ctrlinit  1, 80,0,16,10,17,64, 18,40, 19,40

          instr     1
icps	  cpsmidi
iamp	  ampmidi   10000
kcps      midic7    80, 0, 10000
kdens     midic7    16, .01, 1000
kampoff   midic7    17, .01, 1000
kptchoff  midic7    18, .01, 10000
kgdur     midic7    19, .0001, .1
a1        grain     iamp, icps+kcps, kdens, kampoff, kptchoff, kgdur, 1, 3, .1
a2        linenr    a1, .01, .4, .5
          out       a2
          endin
                         
</CsInstruments>

<CsScore>

  f0  60
  f1  0   4096   10   1    
  f3  0   4097   20   2  1

</CsScore>
</CsoundSynthesizer>
