<CsoundSynthesizer>

<CsOptions>

  csound -o dac -p -m0 -d -A -MIDI -s -b128 -B128 -V50 -E32

</CsOptions>


<CsInstruments>

  sr	= 		44100
  kr	= 		441
  ksmps	= 		100

 gisin  ftgen   8, 0, 8192, 10, 1
        ctrlinit  1, 16,64,   17, 40,   18, 50,  19, 60
        
		instr 	1
  icps	cpsmidi
  iamp	=		10000
  
  kmod	midic7	16,0,2	
  					
  ksv          midic7  17,.1,10    ; THE PRANDTL NUMBER OR SIGMA
  krv          midic7  18, 2, 28  ; THE RAYLEIGH NUMBER
  kbv          midic7  19, .1,2.667 ; RATIO OF THE LENGTH AND WIDTH OF THE BOX
  ax, ay, az   lorenz   ksv, krv, kbv, .01, .6, .6, .6, 1
  kx    =      ax
  ky    =      ay
  kz   =       az              
  kenv	madsr	.1, .2, .5, .6
  afm	foscil	kenv*iamp, icps+kx, 1, 1, kmod*ky, 8				
		out		afm
		endin

</CsInstruments>

<CsScore>

f0  30

</CsScore>
</CsoundSynthesizer>
